Upload a file as a Context source (on_conflict: keep_both | replace | skip)
Authorization
bearerAuth A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.
In: header
Path Parameters
Project slug, e.g. recipe-box.
Plan handle within the project, e.g. PLAN-12.
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/string/plans/string/context/upload"{ "source": { "id": "string", "scope": "TEAM", "kind": "string", "sourceKind": "PASTED", "title": "string", "description": "string", "tokenCount": 0, "folderPath": "string", "hasFile": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "degraded": true, "skipped": true, "replaced": true, "keptBothAs": "string", "pictureCount": 0, "sizeBytes": 0, "enrichment": { "status": "pending", "reason": "string" } }}